Package ru.bitel.bgbilling.modules.tv.common.service

# Interface TvAccountService

    public interface TvAccountService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `tvAccountDelete​(int contractId, int id, boolean force)` |
  `TvAccount` | `tvAccountGet​(int contractId, int id)` |
  `TvAccount` | `tvAccountGetByLogin​(java.lang.String login, java.util.Date time)` |
  `void` | `tvAccountIsActive​(TvAccount tvAccount)` |
  `java.util.List<TvAccount>` | `tvAccountList​(int deviceId, java.lang.String login, java.util.Date dateFrom, java.util.Date dateTo)` |
  `java.util.List<TvAccount>` | `tvAccountSearch​(java.lang.String login, java.lang.String deviceAccountId, int tvAccountSpecId, java.lang.String identifier, java.lang.String macAddress, boolean strict)` |
  `void` | `tvAccountSpecDelete​(int id)` |
  `java.util.List<TvAccountSpec>` | `tvAccountSpecList()` |
  `int` | `tvAccountSpecUpdate​(TvAccountSpec tvAccountSpec)` |
  `TvAccount` | `tvAccountTree​(int contractId)` |
  `int` | `tvAccountUpdate​(int contractId, TvAccount tvAccount, boolean generateLogin, boolean generatePassword, long omWaitTimeout)` |
  `java.lang.String` | `tvProductStatus​(int contractId, int tvAccountId)` |

- ## Method Details

  - ### tvAccountTree

    TvAccount tvAccountTree​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecList

    java.util.List<TvAccountSpec> tvAccountSpecList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountGet

    TvAccount tvAccountGet​(int contractId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountList

    java.util.List<TvAccount> tvAccountList​(int deviceId, java.lang.String login, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountDelete

    void tvAccountDelete​(int contractId, int id, boolean force) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### tvAccountUpdate

    int tvAccountUpdate​(int contractId, TvAccount tvAccount, boolean generateLogin, boolean generatePassword, long omWaitTimeout) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### tvAccountSpecUpdate

    int tvAccountSpecUpdate​(TvAccountSpec tvAccountSpec) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSpecDelete

    void tvAccountSpecDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountGetByLogin

    TvAccount tvAccountGetByLogin​(java.lang.String login, java.util.Date time) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountIsActive

    void tvAccountIsActive​(TvAccount tvAccount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvProductStatus

    java.lang.String tvProductStatus​(int contractId, int tvAccountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tvAccountSearch

    java.util.List<TvAccount> tvAccountSearch​(java.lang.String login, java.lang.String deviceAccountId, int tvAccountSpecId, java.lang.String identifier, java.lang.String macAddress, boolean strict) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`